Foreman - Feature #29038

Add ability to generate a report by clicking a link in a notification email
02/17/2020 04:51 PM - Jeremy Lenz

Status: Ready For Testing
Priority: Normal
Assignee: Jeremy Lenz
Category:
Target version:
Difficulty: medium Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7546

Description
[SAT-E-459]

User stories:
* The notification should contain the link to render a report with more details, specifically about what systems (hosts) will be

affected by that expiration
¢ The link needs to have report inputs in the URL query (see RM issue #29037 for details)

~Possible approach 1:™

e The link should take the user to a page in Foreman (maybe report templates?) and notify via Toast that report generation is
started
¢ Once the report task is complete, the user should be redirected to it as is currently the case for any other report

~Possible approach 2:~

¢ The link should take the user directly to the Report Templates page for the Entitlements report, with inputs filled in
e The user can decide at this point whether to check the checkbox to get the report via email
e The user can then click Generate to generate the report as normal

History

#1 - 02/17/2020 04:52 PM - Jeremy Lenz

See https://projects.theforeman.org/issues/28968

#2 - 02/17/2020 05:32 PM - Jeremy Lenz

- Difficulty set to medium

#3 - 03/26/2020 05:01 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/foreman/pull/7546 added

#4 - 03/27/2020 08:51 PM - Jeremy Lenz

- Description updated

decided to go with a third approach:

® The report is generated when the notification email is generated
* The link to the report is in the text of the email
